### Constructor

# Camel StreamFs new_with_fd

#### Declaration [src]

    CamelStream*
    camel_stream_fs_new_with_fd (
      gint fd
    )

#### Description [src]

Creates a new fs stream using the given file descriptor `fd` as the backing store. When the stream is destroyed, the file descriptor will be closed.

#### Parameters

`fd`

  Type: `gint`

  A file descriptor.

#### Return value

Type: `CamelStream`

A new `CamelStreamFs`.

The caller of the function takes ownership of the data, and is responsible for freeing it.